
body {
  font-family: 'Arial', sans-serif;
  margin: 0;
  padding: 0;
  background-color: #f4f4f4;
  color: #333;
  line-height: 1.6;
  text-align: center;
}

main {
  max-width: 1200px;
  margin: 20px auto;
  padding: 20px;
  background-color: #fff;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

h1 {
  font-size: 3rem;
  margin-bottom: 20px;
  color: #333;
  border-bottom: 3px solid #333;
  display: inline-block;
  padding-bottom: 10px;
}

h2 {
  font-size: 2rem;
  margin-bottom: 10px;
  color: #444;
  border-bottom: 2px solid #ccc;
  padding-bottom: 5px;
}

form {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.tab {
  overflow: hidden;
  border: 1px solid #ccc;
  background-color: #f1f1f1;
}
.tab button {
  background-color: inherit;
  float: left;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 14px 16px;
  transition: 0.3s;
}
.tab button:hover {
  background-color: #ddd;
}
.tab button.active {
  background-color: #ccc;
}
.tabcontent {
  display: none;
  padding: 6px 12px;
  border: 1px solid #ccc;
  border-top: none;
} 

section {
  margin-bottom: 40px;
  padding: 20px;
  background-color: #e7e7e7;
  border-radius: 8px;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
  position: relative;
}

section:hover {
  transform: translateY(-5px);
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}

section a {
  text-decoration: none;
  color: #444;
  border-bottom: 2px solid transparent;
  transition: border-bottom 0.3s ease;
}

section a:hover {
  border-bottom: 2px solid #333;
}

.course-list {
  display: flex;
  justify-content: space-around;
  gap: 20px;
  margin-top: 20px;
}

.course {
  flex: 1;
  background-color: #fff;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s ease, box-shadow 0.3s ease;
  cursor: pointer;
}

.course:hover {
  transform: translateY(-5px);
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}

.course h3 {
  font-size: 1.5rem;
  margin-bottom: 10px;
  color: #333;
}

.course p {
  color: #666;
}

/* Logout Button */
.button-container {
  display: flex;
  justify-content: center;
  gap: 20px;
  margin: 40px 0;
}

.button-container button {
  background-color: #313131;
  color: #fff;
  border: none;
  padding: 20px 40px;
  font-size: 1.2rem;
  border-radius: 10px;
  cursor: pointer;
  transition: background-color 0.3s ease, transform 0.3s ease;
}

.button-container button:hover {
  background-color: #707070;
  transform: scale(1.05);
}

/* Performance Stats */
.performance-list {
  display: flex;
  justify-content: space-around;
  gap: 20px;
  margin-top: 20px;
}

.performance {
  flex: 1;
  background-color: #fff;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s ease, box-shadow 0.3s ease;
  cursor: pointer;
}

.performance h3 {
  font-size: 1.5rem;
  margin-bottom: 10px;
  color: #333;
}

.performance p {
  color: #666;
}

/* Logout Button */
#logoutButton {
  background-color: #333;
  color: #fff;
  border: none;
  padding: 10px 30px;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s ease, transform 0.3s ease;
  margin-top: auto;
}

#logoutButton:hover {
  background-color: #555;
  transform: scale(1.05);
}

/* Responsive Design */
@media (max-width: 768px) {
  main {
    padding: 15px;
  }

  h1 {
    font-size: 2.4rem;
  }

  h2 {
    font-size: 1.8rem;
  }

  .course-list {
    flex-direction: column;
  }

  .course {
    max-width: 100%;
    margin-bottom: 20px;
  }

  .button-container {
    flex-direction: column;
  }

  .button-container button {
    width: 100%;
    margin-bottom: 10px;
  }
}